Subject: Re: "git pull . <branch>" versus "git merge <branch>"

From: Rene Herman <[email-masked]>
Date: Thu, 12 Jun 2008 02:56:52 +0200

On 11-06-08 23:49, Mikael Magnusson wrote:

> For me, git-pull is that additional command, and using git-pull . 
> <branch> to merge feels really really strange. Why would I pull
> something I already have?

For what it's worth I (as thread starter) agree with this. At least in 
my mind local and remote branches are very different and I do not mind 
having to "fetch" the latter first before merging (nor combine the two 
through a "pull").

I can see the reason for the other viewpoint as well since it emphasises 
a point about local and remote branches _not_ being very different after 
all but that's more a symmetry to the implementor than it is to a user I 
feel. For the user, local and remote branches just are different.

And as such I feel it actually helps to just use "merge". Thanks for the 
answers everyone -- this was a matter of a user worrying that he wasn't 
getting it...

Rene